# SdFat: SdSpi Class Reference

SdSpi Class Reference

SPI class for access to SD and SDHC flash memory cards. More...

`#include <SdSpi.h>`

## Public Member Functions

void | begin ()
void | init (uint8_t spiDivisor)
uint8_t | receive ()
uint8_t | receive (uint8_t *buf, size_t n)
void | send (uint8_t data)
void | send (const uint8_t *buf, size_t n)

## Detailed Description

SPI class for access to SD and SDHC flash memory cards.

## Member Function Documentation

void SdSpi::begin | ( |  | ) |

Initialize the SPI bus

void SdSpi::init | ( | uint8_t | spiDivisor | ) |

Set SPI options for access to SD/SDHC cards.

Parameters

  [in] | spiDivisor | SCK clock divider relative to the system clock.

uint8_t SdSpi::receive | ( |  | ) |

Receive a byte.

Returns
  The byte.

uint8_t SdSpi::receive | ( | uint8_t * | buf,
|  | size_t | n
| ) |  |

Receive multiple bytes.

Parameters

  [out] | buf | Buffer to receive the data.
  [in] | n | Number of bytes to receive.

Returns
  Zero for no error or nonzero error code.

void SdSpi::send | ( | uint8_t | data | ) |

Send a byte.

Parameters

  [in] | data | Byte to send

void SdSpi::send | ( | const uint8_t * | buf,
|  | size_t | n
| ) |  |

Send multiple bytes.

Parameters

  [in] | buf | Buffer for data to be sent.
  [in] | n | Number of bytes to send.

The documentation for this class was generated from the following file:

- Arduino/libraries/SdFat/SdSpi.h